package file_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type FileEncryptRequest struct {
	// <ext>format:phone;core:true</ext> 【加密手机号】加密手机号 【作用】 加密当前数据时使用的手机号，后续用于解密 【传参】 手机号允许使用大陆、港澳台、国际手机号，手机号格式为：区号+空格+手机号，例：852 9xxxxxxx ，大陆手机号可以不传区号。
	Contact string `json:"contact"`
	// <ext>core:true</ext>  【手机号验证码】手机号验证码 【作用】 用于手机号的意愿校验 【传参】 调用此接口前请先调用 <docs>/file/pin</docs>（加解密鉴权）获取手机号验证码
	Pin string `json:"pin"`
	// <ext>core:true</ext>  【要加密的数据】要加密的数据 【传参】 传入base64格式，支持传入多条，上限50条
	Files []string `json:"files,omitempty"`
}

func (obj FileEncryptRequest) GetUrl() string {
	return "/file/encrypt"
}

func (obj FileEncryptRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
